#ifndef bqtQBlibBasFunHH
#define bqtQBlibBasFunHH

#include "stringfun.hh"

long long int BasCLNG(long double a);
long long int BasCINT(long double a);
long long int BasINT(long double a);
long long int BasMODop(long long int a, long long int b);
long double BasVAL(const std::string& s);

#define BasCSNG(a) (a)
#define BasCDBL(a) (a)

inline const std::string BasLTRIM(const std::string& s) { return LTrim(s); }
inline const std::string BasRTRIM(const std::string& s) { return RTrim(s); }
inline const std::string BasTRIM(const std::string& s) { return Trim(s); }
const std::string BasLCASE(const std::string& s);
const std::string BasUCASE(const std::string& s);

const std::string BasSTRs(long double a);
const std::string BasCHRs(long long int a);

const std::string BasLEFTs(const std::string& s, int count);
const std::string BasRIGHTs(const std::string& s, int count);
const std::string BasMIDs(const std::string& s, int pos, int count=-1);

#endif
